Upstream information

CVE-2011-2895 at MITRE

Description

The LZW decompressor in (1) the BufCompressedFill function in fontfile/decompress.c in X.Org libXfont before 1.4.4 and (2) compress/compress.c in 4.3BSD, as used in zopen.c in OpenBSD before 3.8, FreeBSD, NetBSD 4.0.x and 5.0.x before 5.0.3 and 5.1.x before 5.1.1, FreeType 2.1.9, and other products, does not properly handle code words that are absent from the decompression table when encountered, which allows context-dependent attackers to trigger an infinite loop or a heap-based buffer overflow, and possibly execute arbitrary code, via a crafted compressed stream, a related issue to CVE-2006-1168 and CVE-2011-2896.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 709851 [RESOLVED / FIXED], 711487 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libXfont1 >= 1.4.7-2.9
  • xorg-x11-libs >= 7.6-45.14
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libXfont1
SUSE Linux Enterprise Desktop 12 GA xorg-x11-libs
SUSE Linux Enterprise Desktop 12 SP1
  • libXfont1 >= 1.4.7-4.1
  • xorg-x11-libs >= 7.6-45.14
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libXfont1
SUSE Linux Enterprise Desktop 12 SP1 GA xorg-x11-libs
SUSE Linux Enterprise Desktop 12 SP2
  • libXfont1 >= 1.5.1-10.3
  • xorg-x11-libs >= 7.6-45.14
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libXfont1
SUSE Linux Enterprise Desktop 12 SP2 GA xorg-x11-libs
SUSE Linux Enterprise Desktop 12 SP3
  • libXfont1 >= 1.5.1-10.3
  • xorg-x11-libs >= 7.6-45.14
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libXfont1
SUSE Linux Enterprise Desktop 12 SP3 GA xorg-x11-libs
SUSE Linux Enterprise Server 11 SP1
  • libpciaccess0 >= 7.4-8.26.3.1
  • libpciaccess0-32bit >= 7.4-8.26.3.1
  • libpciaccess0-x86 >= 7.4-8.26.3.1
  • xorg-x11-libs >= 7.4-8.26.3.1
  • xorg-x11-libs-32bit >= 7.4-8.26.3.1
  • xorg-x11-libs-x86 >= 7.4-8.26.3.1
Patchnames:
slessp1-libpciaccess0
SUSE Linux Enterprise Server 11 SP2
  • freetype2 >= 2.3.7-25.28.1
  • freetype2-32bit >= 2.3.7-25.28.1
  • freetype2-x86 >= 2.3.7-25.28.1
  • xorg-x11-libs >= 7.4-8.26.32.1
  • xorg-x11-libs-32bit >= 7.4-8.26.32.1
  • xorg-x11-libs-x86 >= 7.4-8.26.32.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA freetype2
SUSE Linux Enterprise Server 11 SP2 GA xorg-x11-libs-32bit
SUSE Linux Enterprise Server 11 SP3
  • freetype2 >= 2.3.7-25.32.1
  • freetype2-32bit >= 2.3.7-25.32.1
  • freetype2-x86 >= 2.3.7-25.32.1
  • ft2demos >= 2.3.7-25.32.1
  • xorg-x11-libs >= 7.4-8.26.32.1
  • xorg-x11-libs-32bit >= 7.4-8.26.32.1
  • xorg-x11-libs-x86 >= 7.4-8.26.32.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA freetype2
SUSE Linux Enterprise Server 11 SP3 GA xorg-x11-libs-32bit
SUSE Linux Enterprise Server 11 SP4
  • freetype2 >= 2.3.7-25.35.36.1
  • freetype2-32bit >= 2.3.7-25.35.36.1
  • freetype2-x86 >= 2.3.7-25.35.36.1
  • ft2demos >= 2.3.7-25.35.36.1
  • xorg-x11-libs >= 7.4-8.26.44.1
  • xorg-x11-libs-32bit >= 7.4-8.26.44.1
  • xorg-x11-libs-x86 >= 7.4-8.26.44.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA freetype2
SUSE Linux Enterprise Server 11 SP4 GA xorg-x11-libs-32bit
SUSE Linux Enterprise Server 12
  • libXfont1 >= 1.4.7-2.9
  • xorg-x11-libs >= 7.6-45.7
Patchnames:
SUSE Linux Enterprise Server 12 GA libXfont1
SUSE Linux Enterprise Server 12 GA xorg-x11-libs
SUSE Linux Enterprise Server 12 SP1
  • libXfont1 >= 1.4.7-4.1
  • xorg-x11-libs >= 7.6-45.14
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libXfont1
SUSE Linux Enterprise Server 12 SP1 GA xorg-x11-libs
SUSE Linux Enterprise Server 12 SP2
  • libXfont1 >= 1.5.1-10.3
  • xorg-x11-libs >= 7.6-45.7
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libXfont1
SUSE Linux Enterprise Server 12 SP2 GA xorg-x11-libs
SUSE Linux Enterprise Server 12 SP3
  • libXfont1 >= 1.5.1-10.3
  • xorg-x11-libs >= 7.6-45.7
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libXfont1
SUSE Linux Enterprise Server 12 SP3 GA xorg-x11-libs
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libXfont1 >= 1.5.1-10.3
  • xorg-x11-libs >= 7.6-45.7
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libXfont1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA xorg-x11-libs
SUSE Linux Enterprise Software Development Kit 11 SP4
  • freetype2-devel >= 2.3.7-25.35.36.1
  • freetype2-devel-32bit >= 2.3.7-25.35.36.1
  • xorg-x11-devel >= 7.4-8.26.44.1
  • xorg-x11-devel-32bit >= 7.4-8.26.44.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA freetype2-devel
SUSE Linux Enterprise Software Development Kit 11 SP4 GA xorg-x11-devel-32bit
SUSE Linux Enterprise Software Development Kit 12
  • libXfont-devel >= 1.4.7-2.9
  • xorg-x11-devel >= 7.6-45.14
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libXfont-devel
SUSE Linux Enterprise Software Development Kit 12 GA xorg-x11-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libXfont-devel >= 1.4.7-4.1
  • xorg-x11-devel >= 7.6-45.14
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libXfont-devel
SUSE Linux Enterprise Software Development Kit 12 SP1 GA xorg-x11-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libXfont-devel >= 1.5.1-10.3
  • xorg-x11-devel >= 7.6-45.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libXfont-devel
SUSE Linux Enterprise Software Development Kit 12 SP2 GA xorg-x11-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libXfont-devel >= 1.5.1-10.3
  • xorg-x11-devel >= 7.6-45.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libXfont-devel
SUSE Linux Enterprise Software Development Kit 12 SP3 GA xorg-x11-devel
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • xorg-x11 >= 6.9.0-50.76.4
  • xorg-x11-Xnest >= 6.9.0-50.76.4
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-Xvnc >= 6.9.0-50.76.4
  • xorg-x11-devel >= 6.9.0-50.76.4
  • xorg-x11-fonts-100dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-75dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-cyrillic >= 6.9.0-50.76.4
  • xorg-x11-fonts-scalable >= 6.9.0-50.76.4
  • xorg-x11-fonts-syriac >= 6.9.0-50.76.4
  • xorg-x11-libs >= 6.9.0-50.76.4
  • xorg-x11-man >= 6.9.0-50.76.4
  • xorg-x11-server >= 6.9.0-50.76.4
  • xorg-x11-server-glx >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • xorg-x11 >= 6.9.0-50.76.4
  • xorg-x11-Xnest >= 6.9.0-50.76.4
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-Xvnc >= 6.9.0-50.76.4
  • xorg-x11-devel >= 6.9.0-50.76.4
  • xorg-x11-devel-32bit >= 6.9.0-50.76.4
  • xorg-x11-fonts-100dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-75dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-cyrillic >= 6.9.0-50.76.4
  • xorg-x11-fonts-scalable >= 6.9.0-50.76.4
  • xorg-x11-fonts-syriac >= 6.9.0-50.76.4
  • xorg-x11-libs >= 6.9.0-50.76.4
  • xorg-x11-libs-32bit >= 6.9.0-50.76.4
  • xorg-x11-man >= 6.9.0-50.76.4
  • xorg-x11-server >= 6.9.0-50.76.4
  • xorg-x11-server-glx >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-doc >= 6.9.0-50.76.4
  • xorg-x11-sdk >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SLE SDK 10 SP4 for IBM zSeries
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-doc >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SUSE Linux Enterprise Server 10 SP4 for x86
  • xorg-x11 >= 6.9.0-50.76.4
  • xorg-x11-Xnest >= 6.9.0-50.76.4
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-Xvnc >= 6.9.0-50.76.4
  • xorg-x11-devel >= 6.9.0-50.76.4
  • xorg-x11-doc >= 6.9.0-50.76.4
  • xorg-x11-fonts-100dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-75dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-cyrillic >= 6.9.0-50.76.4
  • xorg-x11-fonts-scalable >= 6.9.0-50.76.4
  • xorg-x11-fonts-syriac >= 6.9.0-50.76.4
  • xorg-x11-libs >= 6.9.0-50.76.4
  • xorg-x11-man >= 6.9.0-50.76.4
  • xorg-x11-sdk >= 6.9.0-50.76.4
  • xorg-x11-server >= 6.9.0-50.76.4
  • xorg-x11-server-glx >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SUSE Linux Enterprise Server 10 SP4 for IPF
  • xorg-x11 >= 6.9.0-50.76.4
  • xorg-x11-Xnest >= 6.9.0-50.76.4
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-Xvnc >= 6.9.0-50.76.4
  • xorg-x11-devel >= 6.9.0-50.76.4
  • xorg-x11-doc >= 6.9.0-50.76.4
  • xorg-x11-fonts-100dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-75dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-cyrillic >= 6.9.0-50.76.4
  • xorg-x11-fonts-scalable >= 6.9.0-50.76.4
  • xorg-x11-fonts-syriac >= 6.9.0-50.76.4
  • xorg-x11-libs >= 6.9.0-50.76.4
  • xorg-x11-libs-x86 >= 6.9.0-50.76.4
  • xorg-x11-man >= 6.9.0-50.76.4
  • xorg-x11-sdk >= 6.9.0-50.76.4
  • xorg-x11-server >= 6.9.0-50.76.4
  • xorg-x11-server-glx >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • xorg-x11 >= 6.9.0-50.76.4
  • xorg-x11-Xnest >= 6.9.0-50.76.4
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-Xvnc >= 6.9.0-50.76.4
  • xorg-x11-devel >= 6.9.0-50.76.4
  • xorg-x11-devel-64bit >= 6.9.0-50.76.4
  • xorg-x11-doc >= 6.9.0-50.76.4
  • xorg-x11-fonts-100dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-75dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-cyrillic >= 6.9.0-50.76.4
  • xorg-x11-fonts-scalable >= 6.9.0-50.76.4
  • xorg-x11-fonts-syriac >= 6.9.0-50.76.4
  • xorg-x11-libs >= 6.9.0-50.76.4
  • xorg-x11-libs-64bit >= 6.9.0-50.76.4
  • xorg-x11-man >= 6.9.0-50.76.4
  • xorg-x11-sdk >= 6.9.0-50.76.4
  • xorg-x11-server >= 6.9.0-50.76.4
  • xorg-x11-server-glx >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • xorg-x11 >= 6.9.0-50.76.4
  • xorg-x11-Xnest >= 6.9.0-50.76.4
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-Xvnc >= 6.9.0-50.76.4
  • xorg-x11-devel >= 6.9.0-50.76.4
  • xorg-x11-devel-32bit >= 6.9.0-50.76.4
  • xorg-x11-doc >= 6.9.0-50.76.4
  • xorg-x11-fonts-100dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-75dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-cyrillic >= 6.9.0-50.76.4
  • xorg-x11-fonts-scalable >= 6.9.0-50.76.4
  • xorg-x11-fonts-syriac >= 6.9.0-50.76.4
  • xorg-x11-libs >= 6.9.0-50.76.4
  • xorg-x11-libs-32bit >= 6.9.0-50.76.4
  • xorg-x11-man >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
  • xorg-x11 >= 6.9.0-50.76.4
  • xorg-x11-Xnest >= 6.9.0-50.76.4
  • xorg-x11-Xvfb >= 6.9.0-50.76.4
  • xorg-x11-Xvnc >= 6.9.0-50.76.4
  • xorg-x11-devel >= 6.9.0-50.76.4
  • xorg-x11-devel-32bit >= 6.9.0-50.76.4
  • xorg-x11-doc >= 6.9.0-50.76.4
  • xorg-x11-fonts-100dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-75dpi >= 6.9.0-50.76.4
  • xorg-x11-fonts-cyrillic >= 6.9.0-50.76.4
  • xorg-x11-fonts-scalable >= 6.9.0-50.76.4
  • xorg-x11-fonts-syriac >= 6.9.0-50.76.4
  • xorg-x11-libs >= 6.9.0-50.76.4
  • xorg-x11-libs-32bit >= 6.9.0-50.76.4
  • xorg-x11-man >= 6.9.0-50.76.4
  • xorg-x11-sdk >= 6.9.0-50.76.4
  • xorg-x11-server >= 6.9.0-50.76.4
  • xorg-x11-server-glx >= 6.9.0-50.76.4
sles10-sp4-debuginfo.x86
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4-debuginfo.x86-64
sles10-sp4-debuginfo.ppc
sles10-sp4.x86-64
sle10-sp4-sdk.ppc
sles10-sp4-debuginfo.s390x
sle10-sp4-sdk.x86
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sles10-sp4-debuginfo.ia64
ZYPP Patch Nr: 7759
SUSE Linux Enterprise Software Development Kit 11 SP1
  • libpciaccess0-devel >= 7.4-8.26.3.1
  • xorg-x11-devel >= 7.4-8.26.3.1
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86
sle11-sp1-sdk.x86-64
sled11-sp1.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.ia64
SAT Patch Nr: 5103
SUSE Linux Enterprise Software Development Kit 11 SP1
  • libpciaccess0-devel >= 7.4-8.26.3.1
  • xorg-x11-devel >= 7.4-8.26.3.1
  • xorg-x11-devel-32bit >= 7.4-8.26.3.1
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86
sle11-sp1-sdk.x86-64
sled11-sp1.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.ia64
SAT Patch Nr: 5103
SUSE Linux Enterprise Desktop 11 SP1
  • libpciaccess0 >= 7.4-8.26.3.1
  • libpciaccess0-devel >= 7.4-8.26.3.1
  • xorg-x11-devel >= 7.4-8.26.3.1
  • xorg-x11-libs >= 7.4-8.26.3.1
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86
sle11-sp1-sdk.x86-64
sled11-sp1.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.ia64
SAT Patch Nr: 5103
SUSE Linux Enterprise Desktop 11 SP1
  • libpciaccess0 >= 7.4-8.26.3.1
  • libpciaccess0-32bit >= 7.4-8.26.3.1
  • libpciaccess0-devel >= 7.4-8.26.3.1
  • xorg-x11-devel >= 7.4-8.26.3.1
  • xorg-x11-libs >= 7.4-8.26.3.1
  • xorg-x11-libs-32bit >= 7.4-8.26.3.1
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86
sle11-sp1-sdk.x86-64
sled11-sp1.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.ia64
SAT Patch Nr: 5103
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libpciaccess0 >= 7.4-8.26.3.1
  • libpciaccess0-32bit >= 7.4-8.26.3.1
  • xorg-x11-libs >= 7.4-8.26.3.1
  • xorg-x11-libs-32bit >= 7.4-8.26.3.1
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86
sle11-sp1-sdk.x86-64
sled11-sp1.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.ia64
SAT Patch Nr: 5103
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libpciaccess0 >= 7.4-8.26.3.1
  • xorg-x11-libs >= 7.4-8.26.3.1
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86
sle11-sp1-sdk.x86-64
sled11-sp1.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.ia64
SAT Patch Nr: 5103
SUSE Linux Enterprise Server 11 SP1
  • libpciaccess0 >= 7.4-8.26.3.1
  • libpciaccess0-x86 >= 7.4-8.26.3.1
  • xorg-x11-libs >= 7.4-8.26.3.1
  • xorg-x11-libs-x86 >= 7.4-8.26.3.1
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86
sle11-sp1-sdk.x86-64
sled11-sp1.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.ia64
SAT Patch Nr: 5103
SUSE Linux Enterprise Server 10 SP2 for x86
  • freetype2 >= 2.1.10-18.22.21.25
  • freetype2-devel >= 2.1.10-18.22.21.25
  • ft2demos >= 2.1.10-19.18.21.7
Builds
ZYPP Patch Nr: 8076
SUSE Linux Enterprise Server 10 SP2 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP2 for IBM zSeries 64bit
  • freetype2 >= 2.1.10-18.22.21.25
  • freetype2-32bit >= 2.1.10-18.22.21.25
  • freetype2-devel >= 2.1.10-18.22.21.25
  • freetype2-devel-32bit >= 2.1.10-18.22.21.25
  • ft2demos >= 2.1.10-19.18.21.7
Builds
ZYPP Patch Nr: 8076
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • freetype2 >= 2.1.10-18.27.5
  • freetype2-devel >= 2.1.10-18.27.5
sles10-sp4.ppc
sles10-sp4.s390x
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sled10-sp4.x86
sled10-sp4.x86-64
ZYPP Patch Nr: 7872
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • freetype2 >= 2.1.10-18.27.5
  • freetype2-32bit >= 2.1.10-18.27.5
  • freetype2-devel >= 2.1.10-18.27.5
  • freetype2-devel-32bit >= 2.1.10-18.27.5
sles10-sp4.ppc
sles10-sp4.s390x
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sled10-sp4.x86
sled10-sp4.x86-64
ZYPP Patch Nr: 7872
SUSE Linux Enterprise Server 10 SP4 for IPF
  • freetype2 >= 2.1.10-18.27.5
  • freetype2-devel >= 2.1.10-18.27.5
  • freetype2-x86 >= 2.1.10-18.27.5
sles10-sp4.ppc
sles10-sp4.s390x
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sled10-sp4.x86
sled10-sp4.x86-64
ZYPP Patch Nr: 7872
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • freetype2 >= 2.1.10-18.27.5
  • freetype2-64bit >= 2.1.10-18.27.5
  • freetype2-devel >= 2.1.10-18.27.5
  • freetype2-devel-64bit >= 2.1.10-18.27.5
sles10-sp4.ppc
sles10-sp4.s390x
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ia64
sled10-sp4.x86
sled10-sp4.x86-64
ZYPP Patch Nr: 7872
openSUSE 11.3
  • libpciaccess0-debuginfo >= 7.5-4.3.1
  • libpciaccess0-debuginfo-32bit >= 7.5-4.3.1
  • xorg-x11-libs-debuginfo >= 7.5-4.3.1
  • xorg-x11-libs-debuginfo-32bit >= 7.5-4.3.1
  • xorg-x11-libs-debugsource >= 7.5-4.3.1
openSUSE 11.3
  • libpciaccess0 >= 7.5-4.3.1
  • libpciaccess0-32bit >= 7.5-4.3.1
  • libpciaccess0-devel >= 7.5-4.3.1
  • xorg-x11-devel >= 7.5-4.3.1
  • xorg-x11-devel-32bit >= 7.5-4.3.1
  • xorg-x11-libs >= 7.5-4.3.1
  • xorg-x11-libs-32bit >= 7.5-4.3.1
openSUSE 11.4
  • libpciaccess0 >= 7.6-17.18.1
  • libpciaccess0-32bit >= 7.6-17.18.1
  • libpciaccess0-devel >= 7.6-17.18.1
  • xorg-x11-devel >= 7.6-17.18.1
  • xorg-x11-devel-32bit >= 7.6-17.18.1
  • xorg-x11-libs >= 7.6-17.18.1
  • xorg-x11-libs-32bit >= 7.6-17.18.1
openSUSE 11.4
  • libpciaccess0 >= 7.6-17.18.1
  • libpciaccess0-32bit >= 7.6-17.18.1
  • libpciaccess0-debuginfo >= 7.6-17.18.1
  • libpciaccess0-debuginfo-32bit >= 7.6-17.18.1
  • libpciaccess0-devel >= 7.6-17.18.1
  • xorg-x11-devel >= 7.6-17.18.1
  • xorg-x11-devel-32bit >= 7.6-17.18.1
  • xorg-x11-libs >= 7.6-17.18.1
  • xorg-x11-libs-32bit >= 7.6-17.18.1
  • xorg-x11-libs-debuginfo >= 7.6-17.18.1
  • xorg-x11-libs-debuginfo-32bit >= 7.6-17.18.1
  • xorg-x11-libs-debugsource >= 7.6-17.18.1
Patchnames:
libpciaccess0
openSUSE Leap 42.1
  • libXfont-devel >= 1.5.1-5.2
  • libXfont1 >= 1.5.1-5.2
  • xorg-x11-devel >= 7.6-47.1
Patchnames:
openSUSE Leap 42.1 GA libXfont-devel
openSUSE Leap 42.1 GA xorg-x11-devel
openSUSE Leap 42.2
  • libXfont-devel >= 1.5.1-8.4
  • libXfont1 >= 1.5.1-8.4
  • xorg-x11-devel >= 7.6-48.2
Patchnames:
openSUSE Leap 42.2 GA libXfont-devel
openSUSE Leap 42.2 GA xorg-x11-devel
openSUSE Leap 42.3
  • libXfont-devel >= 1.5.1-11.1
  • libXfont1 >= 1.5.1-11.1
  • xorg-x11-devel >= 7.6-50.3
Patchnames:
openSUSE Leap 42.3 GA libXfont-devel
openSUSE Leap 42.3 GA xorg-x11-devel
openSUSE Tumbleweed
  • libXfont-devel >= 1.5.2-1.1
  • libXfont-devel-32bit >= 1.5.2-1.1
  • libXfont1 >= 1.5.2-1.1
  • libXfont1-32bit >= 1.5.2-1.1
  • xorg-x11-devel >= 7.6-47.2
  • xorg-x11-libs >= 7.6-47.2
Patchnames:
openSUSE Tumbleweed GA libXfont-devel
openSUSE Tumbleweed GA xorg-x11-devel


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 freetype2 Released
SUSE Linux Enterprise Desktop 10 SP4 freetype2 Released
SUSE Linux Enterprise Desktop 11 SP1 freetype2 Released
SUSE Linux Enterprise Desktop 11 SP1 xorg-x11-libs Released
SUSE Linux Enterprise SDK 11 SP1 freetype2 Released
SUSE Linux Enterprise SDK 11 SP1 xorg-x11-libs Released
SUSE Linux Enterprise Server 10 SP3 freetype2 Released
SUSE Linux Enterprise Server 10 SP4 freetype2 Released
SUSE Linux Enterprise Server 10 SP4 LTSS freetype2 Released
SUSE Linux Enterprise Server 11 SP1 freetype2 Released
SUSE Linux Enterprise Server 11 SP1 xorg-x11-libs Released
SUSE Linux Enterprise Server 11 SP1 LTSS freetype2 Released
SUSE Linux Enterprise Server 11 SP1 LTSS xorg-x11-libs Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 freetype2 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 xorg-x11-libs Released